# TransformedData (ARX Developer Documentation)

org.deidentifier.arx.framework.check

## Class TransformedData

- java.lang.Object
- - org.deidentifier.arx.framework.check.TransformedData

-     public class TransformedData
      extends java.lang.Object

  Helper class to convey buffers.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Data` | `bufferGeneralized` The GH buffer
    `Data` | `bufferMicroaggregated` The OT buffer
    `NodeChecker.Result` | `properties` The properties

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformedData(Data bufferGH, Data bufferOT, NodeChecker.Result properties)` Instantiate the helper object.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bufferGeneralized

          public Data bufferGeneralized

      The GH buffer

    - #### bufferMicroaggregated

          public Data bufferMicroaggregated

      The OT buffer

    - #### properties

          public NodeChecker.Result properties

      The properties

  - ### Constructor Detail

    - #### TransformedData

          public TransformedData(Data bufferGH,
                         Data bufferOT,
                         NodeChecker.Result properties)

      Instantiate the helper object.
      Parameters:
        `bufferGH` -
        `bufferOT` -